%define upstream_name    Devel-Caller
%define upstream_version 2.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Meatier versions of caller()
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker) >= 0.80.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)

%description
This module provides various improvements over the built-in caller()
primitive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel


%changelog
* Thu Nov 30 2023 tv <tv> 2.70.0-2.mga10
+ Revision: 2011856
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 2.70.0-1.mga10
+ Revision: 1980951
- update to 2.07

* Tue Jun 07 2022 umeabot <umeabot> 2.60.0-21.mga9
+ Revision: 1862860
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.60.0-20.mga9
+ Revision: 1796746
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.60.0-19.mga9
+ Revision: 1727664
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 2.60.0-18.mga8
+ Revision: 1595643
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.60.0-17.mga8
+ Revision: 1529029
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 2.60.0-16.mga8
+ Revision: 1432895
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.60.0-15.mga7
+ Revision: 1292744
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.60.0-14.mga7
+ Revision: 1249115
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.60.0-13.mga7
+ Revision: 1164052
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.60.0-12.mga7
+ Revision: 1149614
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.60.0-11.mga7
+ Revision: 1127628
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.60.0-10.mga6
+ Revision: 1025489
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.60.0-9.mga6
+ Revision: 957141
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.60.0-8.mga6
+ Revision: 844843
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.60.0-7.mga6
+ Revision: 841400
- Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.60.0-6.mga5
+ Revision: 747169
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.60.0-5.mga5
+ Revision: 735555
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.60.0-4.mga5
+ Revision: 684301
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.60.0-3.mga5
+ Revision: 632227
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.60.0-2.mga4
+ Revision: 524605
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.60.0-1.mga4
+ Revision: 431246
- update to 2.06
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.50.0-6.mga3
+ Revision: 365676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.50.0-5.mga3
+ Revision: 250498
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.50.0-4.mga2
+ Revision: 104166
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.50.0-3.mga1
+ Revision: 31904
- mageia rebuild
- imported package perl-Devel-Caller

